<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scicos
 * 
 * Copyright (C) INRIA - METALAU Project <scicos@inria.fr> (HTML version)
 * Copyright (C) DIGITEO - Scilab Consortium (XML Docbook version)
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * See the file ./license.txt
 -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:id="set_xproperty">
  <refnamediv>
    <refname>set_xproperty</refname>
    <refpurpose>Définit le type d'une variable d'état à temps continu</refpurpose>
  </refnamediv>
  <refsynopsisdiv>
    <title>Séquence d'appel</title>
    <synopsis>set_xproperty(xprop)</synopsis>
  </refsynopsisdiv>
  <refsection id="Module_set_xproperty">
    <title>Module</title>
    <itemizedlist>
      <listitem>
        <para>
          <link linkend="scicos_manual">Scicos</link>
        </para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Description_set_xproperty">
    <title>Description</title>
    <para>
Cette fonction permet de définir un vecteur indiquant le type (algébrique ou différentiel) des variables d'états continues utilisées dans un bloc.  
</para>
    <para>
</para>
    <programlisting role="example"><![CDATA[ 
set_xproperty(xprop)
 ]]></programlisting>
  </refsection>
  <refsection id="Paramètres_set_xproperty">
    <title>Paramètres</title>
    <itemizedlist>
      <listitem>
        <para>
          <emphasis role="bold">xprop</emphasis>
        </para>
        <para> La valeur donne le type des états :</para>
        <itemizedlist>
          <listitem>
            <para>-1 : un état algébrique.
</para>
          </listitem>
          <listitem>
            <para>1  : un état différentiel.
    
</para>
          </listitem>
        </itemizedlist>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Voiraussi_set_xproperty">
    <title>Voir aussi</title>
    <itemizedlist>
      <listitem>
        <para>
          <link linkend="pointer_xproperty">pointer_xproperty - Retourne le type d'une variable d'état à temps continu (Fonction Scilab)</link>
        </para>
      </listitem>
    </itemizedlist>
  </refsection>
</refentry>
